#include <stdio.h>

int main()
{
    int n,k;
    scanf("%d%d",&n,&k);
    int a[n];
    for (int i=0;i<n;i++) scanf("%d",&a[i]);
    for (int i=0;i<n;i++)
    {
        if (a[i]==k)
        {
            if (i==n-1)
            {
                printf("%d",a[0]);
                return 0;
            }
            else
            {
                printf("%d",a[i+1]);
                return 0;
            }
        }
    }
}